package ch.unige.aou.service.admin;

import java.util.List;

import ch.unige.aou.model.notification.Notification;
import ch.unige.aou.service.ResourceClientServiceInterface;

public interface NotificationClientServiceInterface extends ResourceClientServiceInterface<Notification> {
  List<Notification> getInboxNotifications();

  Notification getInboxNotification(String notificationId);

  List<Notification> getInboxNotificationsByStructure(String structureId);

  List<Notification> getInboxNotificationsByResearchGroup(String researchGroupId);

  List<Notification> getSentNotifications();

  Notification markAsRead(String notificationId);

}
