package ch.unige.aou.model.display;

import ch.unige.solidify.rest.JoinResourceContainer;
import ch.unige.solidify.rest.ResourceBase;
import ch.unige.solidify.util.ReflectionTool;

import ch.unige.aou.model.publication.PublicationSubtype;
import ch.unige.aou.model.settings.ValidationRight;

public class PublicationSubtypeValidationRightDTO extends PublicationSubtype implements JoinResourceContainer<ValidationRight> {

  ValidationRight joinResource;

  public PublicationSubtypeValidationRightDTO(ValidationRight validationRight) {
    ReflectionTool.copyFields(this, validationRight.getPublicationSubtype(), ResourceBase.class);
    this.add(validationRight.getPublicationSubtype().getLinks());
    this.joinResource = validationRight;
  }

  @Override
  public ValidationRight getJoinResource() {
    return this.joinResource;
  }
}
