package ch.unige.aou.model.publication;

import java.io.Serializable;

public class PublicationSubtypeDTO implements Serializable {

  private String resId;
  private String name;
  private String code;
  private PublicationTypeDTO type;

  public PublicationSubtypeDTO() {
  }

  public PublicationSubtypeDTO(PublicationSubtype subtype) {
    if (subtype != null) {
      this.setResId(subtype.getResId());
      this.setCode(subtype.getCode());
      this.setName(subtype.getName());
      this.setType(new PublicationTypeDTO(subtype.getPublicationType()));
    }
  }

  public String getResId() {
    return this.resId;
  }

  public void setResId(String resId) {
    this.resId = resId;
  }

  public String getName() {
    return this.name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getCode() {
    return this.code;
  }

  public void setCode(String code) {
    this.code = code;
  }

  public PublicationTypeDTO getType() {
    return this.type;
  }

  public void setType(PublicationTypeDTO publicationType) {
    this.type = publicationType;
  }
}
