package ch.unige.aou.model.xml.deposit.v2_2.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v2_2.Text;

public class TextSerializer extends StdSerializer<Text> {
  public TextSerializer() {
    this(null);
  }

  public TextSerializer(Class<Text> t) {
    super(t);
  }

  @Override
  public void serialize(Text value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {

    jgen.writeStartObject();
    jgen.writeStringField("text", value.getContent());
    jgen.writeStringField("lang", value.getLang());
    jgen.writeEndObject();
  }
}
