package ch.unige.aou.model.xml.deposit.v2_3.serializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;

import ch.unige.aou.model.xml.deposit.v2_3.Keywords;

public class KeywordsSerializer extends StdSerializer<Keywords> {
  public KeywordsSerializer() {
    this(null);
  }

  public KeywordsSerializer(Class<Keywords> t) {
    super(t);
  }

  @Override
  public void serialize(Keywords value, JsonGenerator jgen, SerializerProvider provider) throws IOException, JsonProcessingException {
    jgen.writeObject(value.getKeyword());
  }
}
