package ch.unige.aou.repository;

import org.springframework.stereotype.Repository;

import ch.unige.aou.model.settings.Language;

import ch.unige.solidify.repository.SolidifyRepository;

@Repository
@SuppressWarnings("squid:S1214")
public interface LanguageRepository extends SolidifyRepository<Language> {

  // *************
  // ** Queries **
  // *************

  Language findByCode(String code);

}
