package ch.unige.aou.task;

import ch.unige.aou.business.NotificationService;
import ch.unige.aou.business.ScheduledTaskService;
import ch.unige.aou.model.schedule.ScheduledTask;

public class NotifyForgottenPublicationsToValidatorsTask extends AbstractTaskRunnable {

  public NotifyForgottenPublicationsToValidatorsTask(ScheduledTaskService scheduledTaskService, ScheduledTask scheduledTask,
          NotificationService notificationService, TaskExecutorService taskExecutorService) {
    super(scheduledTaskService, scheduledTask, notificationService, taskExecutorService);
  }

  @Override
  public void executeTask() {
    this.taskExecutorService.notifyForgottenPublicationsToValidators();
  }
}
