package ch.unige.aou.service;

import java.util.List;

import ch.unige.solidify.rest.Resource;

public interface CompositionResourceClientServiceInterface<V extends Resource<V>, T extends Resource<T>> {

  T create(String parentId, T resource);

  List<T> findAll(String parentId);

  T findOne(String parentId, String resId);

  T update(String parentId, String resId, T resource);

  void delete(String parentId, String resId);

}
