package ch.unige.aou.test;

import static org.junit.jupiter.api.Assertions.assertTrue;

import java.net.URI;
import java.net.URISyntaxException;
import java.nio.file.Path;
import java.nio.file.Paths;

import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

import ch.unige.solidify.util.FileTool;

import ch.unige.aou.service.DownloadService;

public class DownloadServiceTest {

  private final static String TEST_URL = "https://link.springer.com/content/pdf/10.1186/s12909-020-1954-7.pdf";

  @Disabled
  @Test
  void testDownload() throws URISyntaxException {
    URI uri = new URI(TEST_URL);
    Path downloadPath = Paths.get(System.getProperty("user.home") + "/test-download.pdf");
    DownloadService downloadService = new DownloadService();
    downloadService.download(uri, downloadPath);
    assertTrue(FileTool.checkFile(downloadPath));
  }

}
