package ch.unige.aou.test.admin;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;

import java.util.List;

import org.junit.jupiter.api.Test;

import ch.unige.aou.model.settings.LicenseGroup;

public class LicenseGroupAsUserIT extends LicenseIT {
  @Override
  protected void setUser() {
    this.restClientTool.sudoUser();
  }

  @Test
  void findAllTest() {
    LicenseGroup licenseGroup = this.createTestLicenseGroup("Test group");

    // Find all
    final List<LicenseGroup> actualLicenseGroups = this.licenseGroupService.findAll();

    // Test at least
    assertFalse(actualLicenseGroups.isEmpty());
    assertTrue(actualLicenseGroups.stream().anyMatch(group -> group.getResId().equals(licenseGroup.getResId())));
  }
}
