package ch.unige.aou.model;

import ch.unige.solidify.rest.ResourceNormalized;
import ch.unige.solidify.util.ReflectionTool;

import ch.unige.aou.rest.ModuleName;

public abstract class AouResourceNormalized<T> extends ResourceNormalized<T> {

  @Override
  public void init() {

  }

  @Override
  public String managedBy() {
    return ModuleName.ADMIN;
  }

  protected boolean setCurrentProperty(Object newValue) {
    return this.setProperty(this.getSetterVariableName(), newValue);
  }

  private String getSetterVariableName() {
    final String currentMethodName = ReflectionTool.getMethodName(4);

    if (currentMethodName.startsWith("set") && Character.isUpperCase(currentMethodName.charAt(3))) {
      return currentMethodName.substring(3, 4).toLowerCase() + currentMethodName.substring(4);
    } else {
      return null;
    }
  }
}
