package ch.unige.aou.model.publication;

import java.io.Serializable;

public class PublicationTypeDTO implements Serializable {

  private String resId;
  private String name;

  public PublicationTypeDTO() {
  }

  public PublicationTypeDTO(PublicationType type) {
    if (type != null) {
      this.setResId(type.getResId());
      this.setName(type.getName());
    }
  }

  public String getResId() {
    return this.resId;
  }

  public void setResId(String resId) {
    this.resId = resId;
  }

  public String getName() {
    return this.name;
  }

  public void setName(String name) {
    this.name = name;
  }
}
