package ch.unige.aou.rest;

import ch.unige.solidify.SolidifyConstants;

public class AouActionName {

  public static final String APPROVE = "approve";
  public static final String AUTHENTICATED = "authenticated";
  public static final String GET_USER_DISPLAYABLE_INFOS = "get-displayable-infos";
  public static final String AUTHORIZE = "authorize";
  public static final String CHECK = "check";
  public static final String CHECK_TOKEN = "check_token";
  public static final String TOKEN = "token";
  public static final String REVOKE_ALL_TOKENS = "revoke-all-tokens";
  public static final String REVOKE_MY_TOKENS = "revoke-my-tokens";
  public static final String SEARCH_WITH_USER = "search-with-user";
  public static final String USER_ID = "externalUid";
  public static final String START_ORCID_AUTH = "start-orcid-auth";
  public static final String LANDING = "landing";
  public static final String LIST_OAUTH2_GRANT_TYPES = "list-grant-types";
  public static final String INITIALIZE = "initialize";
  public static final String LIST_DOCUMENT_FILE_TYPES = "list-document-file-types";
  public static final String LIST_CONTRIBUTOR_ROLES = "list-contributor-roles";
  public static final String LIST_VALIDABLE_PUBLICATIONS = "list-validable-publications";
  public static final String LIST_MY_PUBLICATIONS = "list-my-publications";
  public static final String LIST_VERSION = "list-metadata-versions";
  public static final String SEARCH_UNIGE_PERSON = "search-unige-person";
  public static final String GET_METADATA_FROM_DOI = "get-metadata-from-doi";
  public static final String GET_METADATA_FROM_ARXIV = "get-metadata-from-arxiv";
  public static final String GET_METADATA_FROM_ISBN = "get-metadata-from-isbn";
  public static final String IMPORT_FILE_ARXIV = "import-file-from-arxiv";
  public static final String GET_METADATA_FROM_PMID = "get-metadata-from-pmid";
  public static final String GET_ROMEO_INFOS = "get-romeo-infos";
  public static final String CHECK_IDENTIFIER_EXISTS = "identifier-exists";
  public static final String LIST_VALIDATOR_COMMENTS = "list-validator-comments";
  public static final String GET_MY_DEFAULT_PROFILE_DATA = "get-my-default-profile-data";
  public static final String GET_JOURNAL_TITLES = "get-journal-titles";
  public static final String GET_OPEN_AIRE_PROJECTS = "get-openaire-projects";
  public static final String SCHEDULE_ENABLED_TASKS = "schedule-enabled-tasks";
  public static final String DISABLE_TASKS_SCHEDULING = "disable-tasks-scheduling";
  public static final String KILL_TASK = "kill-task";
  public static final String UPDATE_PUBLICATIONS_RESEARCH_GROUP = "update-publications-researchGroup";
  public static final String UPDATE_PUBLICATIONS_STRUCTURE = "update-publications-structure";
  public static final String CREATE_FROM_IDENTIFIER = "create-from-identifier";
  public static final String VALIDATE_METADATA = "validate-metadata";
  public static final String VALIDATE = "validate";
  public static final String SYNCHRONIZE = "synchronize";

  public static final String UPLOAD_LOGO = "upload-logo";
  public static final String DOWNLOAD_LOGO = "download-logo";
  public static final String DELETE_LOGO = "delete-logo";
  public static final String UPLOAD_AVATAR = "upload-avatar";
  public static final String DOWNLOAD_AVATAR = "download-avatar";
  public static final String DELETE_AVATAR = "delete-avatar";
  public static final String UPLOAD_THUMBNAIL = "upload-thumbnail";
  public static final String DOWNLOAD_THUMBNAIL = "download-thumbnail";
  public static final String DELETE_THUMBNAIL = "delete-thumbnail";
  public static final String THUMBNAIL = "thumbnail";
  public static final String STATISTICS = "statistics";
  public static final String RATINGS = "ratings";
  public static final String RATING_BY_USER = "list-for-user";
  public static final String BY_RATING = "by-rating";
  public static final String INBOX = "inbox";
  public static final String SEARCH_INBOX = "search-inbox";
  public static final String SENT = "sent";
  public static final String SET_READ = "set-read";
  public static final String SUBMIT_FOR_VALIDATION = "submit-for-validation";
  public static final String SEND_BACK_FOR_VALIDATION = "send-back-for-validation";
  public static final String SUBMIT = "submit";
  public static final String REJECT = "reject";
  public static final String RESUME = "resume";
  public static final String REFRESH = "refresh";
  public static final String DELETE = "delete";
  public static final String ASK_FEEDBACK = "ask-feedback";
  public static final String ENABLE_REVISION = "enable-revision";
  public static final String UNLINK_CONTRIBUTOR = "unlink-contributor";

  public static final String ADD_VIEW = "add-view";
  public static final String ADD_DOWNLOAD = "add-download";
  public static final String DOWNLOAD = "download";
  public static final String LIST_CURRENT_STATUS = "list-current-status";
  public static final String BY_EXTERNAL_UID = "by-external-uid";
  public static final String UPDATE_SORT_VALUES = "update-sort-values";

  public static final String GET_MY_ACLS = "get-my-acls";

  public static final String PURGE_CONTENT_TEMP_FOLDER = "purge-temporary-folder";

  public static final String CONFIRM = "confirm";

  public static final String MONITOR_DATABASE_CONNECTION = "database-connection";

  private AouActionName() {
    throw new IllegalStateException(SolidifyConstants.TOOL_CLASS);
  }
}
