package ch.unige.aou.repository;

import java.util.Optional;

import org.springframework.stereotype.Repository;

import ch.unige.solidify.repository.SolidifyRepository;

import ch.unige.aou.model.publication.Publication;

@Repository
@SuppressWarnings("squid:S1214")
public interface PublicationRepository extends SolidifyRepository<Publication> {

  Optional<Publication> findByDoi(String doi);

  Optional<Publication> findByPmid(String pmid);
}
